###################################################
### chunk number 1: 
###################################################
library(alr3)
data(forbes)
options(width=70,show.signif.stars=FALSE,digits=4)
.Sweave.cex=1


###################################################
### chunk number 2: 
###################################################
forbes1 <- forbes[, c(1, 3)] 
print(fmeans <- colMeans(forbes1)) 


###################################################
### chunk number 3: 
###################################################
fcov <- (17 - 1) * cov(forbes1)


###################################################
### chunk number 4: 
###################################################
xbar <- fmeans[1]
ybar <- fmeans[2]
SXX  <- fcov[1,1]
SXY  <- fcov[1,2]
SYY  <- fcov[2,2]
betahat1 <- SXY/SXX
print(round(betahat1, 3))
betahat0 <- ybar - betahat1 * xbar
print(round(betahat0,3))


###################################################
### chunk number 5: 
###################################################
print(RSS <- SYY - SXY^2/SXX)
print(sigmahat2 <- RSS/15)
print(sigmahat <- sqrt(sigmahat2))


###################################################
### chunk number 6:  eval=FALSE
###################################################
## lm(formula, data)


###################################################
### chunk number 7:  eval=FALSE
###################################################
## Lpres ~ Temp


###################################################
### chunk number 8:  eval=FALSE
###################################################
## Lpres ~ 1 + Temp


###################################################
### chunk number 9:  eval=FALSE
###################################################
## Lpres ~ Temp - 1


###################################################
### chunk number 10:  eval=FALSE
###################################################
## log10(Pressure) ~ Temp


###################################################
### chunk number 11: 
###################################################
m1 <- lm(Lpres ~ Temp, data=forbes)


###################################################
### chunk number 12: 
###################################################
summary(m1)


###################################################
### chunk number 13: 
###################################################
anova(m1)


###################################################
### chunk number 14: 
###################################################
SSreg <- SYY - RSS
print(R2 <- SSreg/SYY)
cor(forbes1)


###################################################
### chunk number 15: 
###################################################
print(betahat <- coef(m1))


###################################################
### chunk number 16: 
###################################################
print(var <- vcov(m1))


###################################################
### chunk number 17: 
###################################################
cov2cor(var)


###################################################
### chunk number 18: 
###################################################
summary(m1)$sigma


###################################################
### chunk number 19: 
###################################################
sigmaHat(m1)


###################################################
### chunk number 20: 
###################################################
tval <- qt(1-.05/2, m1$df)
tval


###################################################
### chunk number 21: 
###################################################
data.frame(Est = betahat, 
           lower=betahat - tval * sqrt(diag(var)),
           upper=betahat + tval * sqrt(diag(var)))


###################################################
### chunk number 22: 
###################################################
confint(m1, level=.95)


###################################################
### chunk number 23:  eval=FALSE
###################################################
## predict(object, newdata, se.fit = FALSE,
##              interval = c("none", "confidence", "prediction"),
##              level = 0.95)


###################################################
### chunk number 24: 
###################################################
predict(m1)


###################################################
### chunk number 25: 
###################################################
predict(m1, newdata=data.frame(Temp=c(210,220)),
        interval="prediction", level=.95)


###################################################
### chunk number 26: 
###################################################
predvals <- predict(m1, newdata=data.frame(Temp=c(210, 220)),
                   se.fit=TRUE)
predvals


###################################################
### chunk number 27: 
###################################################
as.data.frame(predvals)


###################################################
### chunk number 28: 
###################################################
(150 - predvals$fit)/predvals$se.fit


###################################################
### chunk number 29: 
###################################################
se.pred <- sqrt(predvals$residual.scale^2 + predvals$se.fit^2)


###################################################
### chunk number 30:  eval=FALSE
###################################################
## plot(predict(m1), residuals(m1))
## abline(h=0,lty=2)


###################################################
### chunk number 31:  eval=FALSE
###################################################
## residualPlots(m1)


